import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

const csvUrl = [
  'https://gist.githubusercontent.com/PriyaEnuganti/8387a91baaa2ecbe787fc22621ae5ef4/raw/ea9a1c790ff90c5ce83fe374904732acfe129e95/diabetes.csv', // File name
].join('');
const parseRow = (d) => {
  d.glucose = +d.Glucose;
  d.BloodPressure = +d.BloodPressure;
  d.Insulin = +d.Insulin;
  d.BMI = +d.BMI;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(await csv(csvUrl, parseRow))
    .xValue((d) => d.glucose)
    .yValue((d) => d.BloodPressure)
    .margin({
      top: 20,
      right: 20,
      bottom: 40,
      left: 50,
    })
    .radius(5);

  svg.call(plot);

  const columns = [
    'glucose',
    'Insulin',
    'BMI',
    'BloodPressure',
    
  ];
  let i = 0;
  setInterval(() => {
    i++;
    plot
      .xValue((d) => d[columns[i % columns.length]]);
      
    svg.call(plot);
  }, 2000);
};
main();




